// header // 

@mixin navItem {
    color: $white;
    font-size: 18px;
    font-weight: 400;
    cursor: pointer;
    z-index: 2;

    @media (max-width: 1280px) {
        font-size: 16px;
    }

    @media (max-width: 1024px) {
        font-size: 14px;
    }

    .nav__text {
        position: relative;
        cursor: pointer;

        &::after {
            display: block;
            position: absolute;
            background-color: $white;
            left: 0;
            width: 0;
            height: 1px;
            content: "";
            transition: 0.4s ease; 
        }
    }

    @media (min-width: 768px) {
        &:hover {
            .nav__text {
                color: $white;
    
                &::after {
                    width: 100%;
                }
                
                &:focus {
                    &::after {
                        width: 100%;
                    }
                }
            }
        }
    }
}

@mixin mobileNavMenu {
    display: none;
    color: $white;
   
    @media (max-width: 768px) {
         display: block;
    }
}

@mixin navDropdown {
    position: relative;

    @media(max-width: 425px) {
        position: static;
    }
   
    .dropdown__arrow {
        transition: 0.4s ease;
    }

    &:hover {
        .dropdown__arrow {
            transform: rotate(180deg);
        }

        .nav__list {
            visibility: unset;
            opacity: 1;
        }   
    }
}

@mixin navList {
    display: block;
    transition: 0.4s ease;
    visibility: hidden;
    opacity: 0;
    position: absolute;
    transform: translateY(44px);
    background-color: $black;
    width: 400px;
    top: 0;
    left: -22%;
    padding: 0 25px;
    border-bottom: 1px solid $white;
    border-right: 1px solid $white;
    border-left: 1px solid $white;

    @media (max-width: 1280px) {
        padding: 0 20px;
        width: 300px;
        top: -4px;
    }

    @media (max-width: 1024px) {
        padding: 0 18px;
        width: max-content;
        top: -7px;
    }

    @media (max-width: 425px) {
        width: calc(100% + 63px);
        top: 54px;
        left: 50%;
        transform: translateX(-50%);
        
    }

}

@mixin subNavItem {
    display: block;
    padding: 15px 0;

    &:not(:last-child) {
        border-bottom: 1px solid $white;
    }

    @media (max-width: 1024px) {
        padding: 14px 0;
    }

    @media (max-width: 768px) {
        .sub-nav__list {
            .sub-nav__item {
                padding: 8px 0;
                font-size: 12px;
                padding-left: 15px; 
                border-bottom: none;

                &:last-child {
                    padding-bottom: 0;
                }
            }
        }
    }
}

@mixin subNavDropdown {
    position: relative;

    .sub-dropdown__arrow {
        transition: 0.4s ease;

            @media (max-width: 768px) {
                transform: rotate(180deg);
            }
    }

    &:hover {
        .sub-dropdown__arrow {
            transform: rotate(-90deg);

            @media (max-width: 768px) {
                transform: rotate(0deg);
            }
        }

        .sub-nav__list {
            visibility: visible;
            opacity: 1;
            height: max-content !important;
            transition: 0.4s ease;
        }
    } 
}

@mixin subNavList {
    transition: 0.4s ease;
    visibility: hidden;
    opacity: 0;
    height: 0;
    position: absolute;
    background-color: $black;
    width: 320px;
    top: 0;
    border: 1px solid $white;
    right: -345px;
    padding: 0 25px;

    @media (max-width: 1280px) {
        padding: 0 20px;
        width: 300px;
        right: -320px;
    }

    @media (max-width: 1024px) {
        width: 250px;
        padding: 0 18px;
        right: -268px;
    }

    @media (max-width: 768px) {
        opacity: 0;
        position: static;
        border: none;
        padding: 0;
        width: inherit;
        height: 0;
    }
}

@mixin mobileMenuList {
    display: none;
    transition: 0.4s ease;
    visibility: hidden;
    opacity: 0;
    position: absolute;
    transform: translateY(44px);
    background-color: $black;
    width: 400px;
    top: 0;
    left: -22%;
    padding: 0 25px;
    border-bottom: 1px solid $white;
    border-right: 1px solid $white;
    border-left: 1px solid $white;
        
    @media (max-width: 768px) {
        display: block;
    }
}

// body // 

// Title Margin // 

@mixin titleWrapper {
    margin-bottom: 60px;
    text-align: center;

    @media (max-width: 1280px) {
        margin-bottom: 50px;
    }

    @media (max-width: 576px) {
        margin-bottom: 40px;
    }
}

// Titles //

@mixin mainTitle {
    font-size: 48px;
    line-height: 1.2;
    font-weight: 400;
    color: #fff;

    @media (max-width: 1280px) {
        font-size: 3.5vw;
    }

    @media (max-width: 576px) {
        font-size: 24px;
    }
}

@mixin sectionTitle {
    font-size: 40px;
    line-height: 1.2;
    font-weight: 400;
    text-transform: uppercase;
    text-align: center;
   
    @media (max-width: 1280px) {
        font-size: 32px;
    }

    @media (max-width: 576px) {
        font-size: 26px;
    }
}

// Texts //

@mixin mainText {
    font-size: 18px;
    line-height: 1.5;
    font-weight: 400;
    color: $white;

    @media (max-width: 1280px) {
        font-size: 1.5vw;
    }

    @media (max-width: 576px) {
        font-size: 14px;
    }
}

@mixin sectionText {
    font-size: 20px;
    line-height: 1.5;
    font-weight: 500;
    margin-top: 20px;

    @media (max-width: 1280px) {
        font-size: 18px;
    }

    @media (max-width: 576px) {
        font-size: 16px;
        margin-top: 15px;
    }
}

// Accordion //  

@mixin accordionLabel {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 0;
    cursor: pointer;
    font-size: 24px;

    @media (max-width: 576px) {
        font-size: 20px;
        padding: 18px 0;
    }

    @media (max-width: 425px) {
        font-size: 18px;
        padding: 16px 0;
    }

    .label-icon {
        transition: 0.4s ease;
    }
}

@mixin contentItem {
    font-size: 16px;
    line-height: 2;
    margin-bottom: 15px;

    &::marker {
        color: $blue;
    }

    @media (max-width: 1024px) {
        font-size: 14px;
    }
}

// Form // 

@mixin formLabel {
    font-size: 20px;
    line-height: 1.55;

    @media (max-width: 425px) {
        font-size: 18px;
    }
}

@mixin formInput {
    font-size: 16px;
    line-height: 1.55;
    color: $black;
    height: 56px;
    text-indent: 15px;
}

@mixin checkboxTitle {
    font-size: 20px;
    line-height: 1.55;
    margin-bottom: 15px;

    @media (max-width: 425px) {
        font-size: 18px;
    }
}

@mixin checkboxInput {
    padding: 0;
    height: initial;
    width: initial;
    margin-bottom: 0;
    display: none;
    cursor: pointer;
}

@mixin checkboxLabel {
    font-size: 15px;
    line-height: 1.55;
    position: relative;
    cursor: pointer;

    &::before {
        content:'';
        background-color: transparent;
        border: 2px solid $blue;
        padding: 7px;
        display: inline-block;
        position: relative;
        vertical-align: middle;
        cursor: pointer;
        margin-right: 5px;
        transition: 0.4s ease;
    }

    &::after {
        transition: 0.4s ease;
    }
}

@mixin formTextarea {
    font-size: 16px;
    line-height: 1.55;
    color: $black;
    height: 168px;
    padding: 15px;
}

@mixin submitForm {
    background-color: $blue;
    height: 56px;
    font-size: 16px;
    margin-bottom: 20px;
    cursor: pointer;
    transition: 0.4s ease;

    &:hover {
        background-color: $blueHover;
    }
}

@mixin personalData {
    font-size: 15px;
    line-height: 1.55;
    text-align: center;
}

// About // 

@mixin aboutDescription {
    font-size: 16px;
    line-height: 1.55;
    color: $gray1;
    margin: 20px 0;
    text-align: center;
}

@mixin line {
    display: block;
    margin: 0 auto;
    width: 100px;
    height: 2px;
    background-color: $blue;
    margin-bottom: 20px;
}

@mixin aboutContent {
    font-size: 20px;
    line-height: 1.55;
    font-weight: 400;
    color: $black;

    @media (max-width: 1280px) {
        font-size: 18px;
    }

    @media (max-width: 1024px) {
        font-size: 16px;
    }
}

@mixin instagramText {
    font-size: 24px;
    line-height: 1.5;
    font-weight: 500;
    margin-top: 40px;
    margin-bottom: 60px;

    @media (max-width: 1280px) {
        font-size: 20px;
        margin-bottom: 50px;
    }

    @media (max-width: 576px) {
        font-size: 18px;
        margin-bottom: 40px;
    }
}

@mixin instagramLink {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    border: 2px solid $white;
    background-color: transparent;
    font-size: 16px;
    line-height: 1.5;
    width: 300px;
    height: 56px;
    transition: 0.4s ease;
    cursor: pointer;

    &:hover {
        background-color: $white;
        color: $black;
    }
}


// Slider // 


@mixin reviewText {
    font-size: 20px;
    line-height: 1.55;
    font-weight: 400;
    color: $black;
    margin-bottom: 30px;

    @media (max-width: 1280px) {
        font-size: 18px;
    }

    @media (max-width: 1024px) {
        font-size: 16px;
    }

    @media (max-width: 425px) {
        font-size: 14px;
    }
}

@mixin reviewName {
    font-size: 24px;
    line-height: 1.55;
    font-weight: 600;
    transition: 0.4s ease;

    @media (max-width: 1280px) {
        font-size: 22px;
    }
}

@mixin reviewLinkHover {
    transition: 0.4s ease;
    
    .review__icon {
        path {
            transition: 0.4s ease;
        }

        circle {
            transition: 0.4s ease;
        }
    }

    &:hover {
        .review__name {
            color: $blueHover;
        }

        .review__icon {
            path {
                fill: $blueHover;
            }

            circle {
                fill: $blueHover;
            }
        }
    }
}


@mixin socialLink {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: transparent;
    color: black;
    border: 2px solid $black;
    font-size: 16px;
    line-height: 1.5;
    width: 300px;
    height: 56px;
    transition: .4s ease;
    cursor: pointer;

    &:hover {
        box-shadow: 0px 5px 10px 2px rgba(0, 0, 0, 0.2);
        background-color: $blueHover;
        color: $white;
        border: 2px solid $blueHover;
    }

    @media (max-width: 768px) {
        max-width: 500px;
        width: 100%;
    }
}

// Advantages // 

@mixin advantagesTitle {
    font-size: 32px;
    line-height: 1.17;
    font-weight: 700;
    margin-bottom: 20px;

    @media (max-width: 1280px) {
        font-size: 30px;
    }

    @media (max-width: 1024px) {
        font-size: 24px;
    }

    @media (max-width: 425px) {
        font-size: 20px;
    }
}

@mixin advantagesLine {
    display: block;
    width: 100%;
    height: 2px;
    background-color: $blue;
    margin-bottom: 20px;
}

@mixin advantagesText {
    font-size: 20px;
    line-height: 1.55;
    font-weight: 400;
    margin-bottom: 30px;

    @media (max-width: 1280px) {
        font-size: 18px;
    }

    @media (max-width: 1024px) {
        font-size: 16px;
    }

    @media (max-width: 425px) {
        font-size: 14px;
    }
}

// pages // 

@mixin descriptionPriceText {
    font-size: 20px;
    line-height: 1.55;
    margin-bottom: 20px;

    @media (max-width: 1280px) {
        font-size: 18px;
    }

    @media (max-width: 1024px) {
        font-size: 16px;
    }
}

@mixin descriptionPriceTitle {
    font-size: 28px;
    margin-top: 30px;
    margin-bottom: 15px;
}

@mixin descriptionPriceItem {
    font-size: 20px;
    line-height: 1.55;
    margin-bottom: 10px;

    &:last-child {
        margin-bottom: 20px;
    }
    
    @media (max-width: 1280px) {
        font-size: 18px;
    }

    @media (max-width: 1024px) {
        font-size: 16px;
    }
}

@mixin descriptionPriceButton {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: transparent;
    color: black;
    border: 2px solid $black;
    font-size: 16px;
    line-height: 1.5;
    width: 300px;
    height: 56px;
    transition: .4s ease;
    cursor: pointer;
    margin: 0 auto;

    &:hover {
        box-shadow: 0px 5px 10px 2px rgba(0, 0, 0, 0.2);
        background-color: $blueHover;
        color: $white;
        border: 2px solid $blueHover;
    }

    @media (max-width: 768px) {
        max-width: 500px;
        width: 100%;
    }
}

// articles // 

@mixin articlesText {
    font-size: 20px;
    line-height: 1.55;
    margin-bottom: 20px;

    @media (max-width: 1280px) {
        font-size: 18px;
    }

    @media (max-width: 1024px) {
        font-size: 16px;
    }
}

@mixin articlesTitle {
    font-size: 28px;
    margin-top: 30px;
    margin-bottom: 15px;
}

@mixin articlesItem {
    font-size: 20px;
    line-height: 1.55;
    margin-bottom: 10px;

    &:last-child {
        margin-bottom: 20px;
    }
    
    @media (max-width: 1280px) {
        font-size: 18px;
    }

    @media (max-width: 1024px) {
        font-size: 16px;
    }
}

@mixin articlesButton {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: transparent;
    color: black;
    border: 2px solid $black;
    font-size: 16px;
    line-height: 1.5;
    width: 300px;
    height: 56px;
    transition: .4s ease;
    cursor: pointer;
    margin: 0 auto;

    &:hover {
        box-shadow: 0px 5px 10px 2px rgba(0, 0, 0, 0.2);
        background-color: $blueHover;
        color: $white;
        border: 2px solid $blueHover;
    }

    @media (max-width: 768px) {
        max-width: 500px;
        width: 100%;
    }
}

// price table // 

@mixin columnTitle {
    font-size: 18px;
    font-weight: 600;
    color: $white;
    background-color: $blue;
    text-align: center;
    padding: 10px;

    @media (max-width: 768px) {
        font-size: 16px;
    }
}

@mixin columnText {
    font-size: 16px;
    font-weight: 400;
    color: $black;
    padding: 10px;

    &:not(:last-child) {
        border-bottom: 1px solid $black;
    }
   
    @media (max-width: 768px) {
        font-size: 14px;
    }
}

// blog //

@mixin blogTitle {
    font-size: 26px;
    font-weight: 400;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;  
    overflow: hidden;

    @media (max-width: 1024px) {
        font-size: 24px;
    }

    @media (max-width: 768px) {
        font-size: 22px;
    }
}

@mixin blogText {
    font-size: 16px;
    display: -webkit-box;
    -webkit-line-clamp: 7;
    -webkit-box-orient: vertical;  
    overflow: hidden;

    @media (max-width: 768px) {
        font-size: 14px;
        -webkit-line-clamp: 5;
    }
}


// footer // 

@mixin footerTitle {
    font-size: 26px;
    font-weight: 600;
    margin-bottom: 25px;

    @media (max-width: 1024px) {
        font-size: 24px;
    }

    @media (max-width: 576px) {
        margin-bottom: 20px;
    }
}

@mixin footerLink {
    font-size: 18px;
    font-weight: 400;

    &:not(:last-child) {
        margin-bottom: 15px;
    }

    @media (max-width: 1024px) {
        font-size: 16px;
    }

    @media (max-width: 576px) {
        br {
            display: none;
        }
    }
}